You are not logged in.

#1 2012-11-11 05:21:49

southpointingchariot
Member
Registered: 2012-10-27
Posts: 27

Eye of Gnome / libpeas/ python

I use Eye of Gnome for image viewing. I use it because I need a fairly specific task; create a randomized slideshow of a whole folder of images, including animated gifs.

On Ubuntu, I used Eye of Gnome with the "slideshow-shuffle" plugin and it worked great. However, now I am having a problem. When I try to turn on slideshow shuffle, eog outputs:

(eog:3182): libpeas-WARNING **: Error initializing Python Plugin Loader:PyGObject initialization failed
ImportError: could not import gobject (error was: 'No module named gi._gobject')

(eog:3182): libpeas-WARNING **: Please check the installation of all the Python related packages required by libpeas and try again

(eog:3182): libpeas-WARNING **: Loader 'python' is not a valid PeasPluginLoader instance

(eog:3182): libpeas-WARNING **: Could not find loader 'python' for plugin 'slideshowshuffle'

I of course have installed eog, eog-plugins, libpeas, python2 and python3. Any ideas?

Offline

#2 2012-11-11 10:20:17

City-busz
Trusted User (TU)
From: Budapest, Hungary
Registered: 2010-12-27
Posts: 162
Website

Re: Eye of Gnome / libpeas/ python

You have to install python2-gobject.


My packages | My PGP Key: 0x0901C163

Offline

#3 2012-12-04 16:02:36

southpointingchariot
Member
Registered: 2012-10-27
Posts: 27

Re: Eye of Gnome / libpeas/ python

City-busz wrote:

You have to install python2-gobject.

The notification didn't go through for some reason - greatest thanks! Shouldn't this be managed by the dependencies?

Offline

#4 2012-12-05 03:27:57

City-busz
Trusted User (TU)
From: Budapest, Hungary
Registered: 2010-12-27
Posts: 162
Website

Re: Eye of Gnome / libpeas/ python

Yes, it looks like a packaging bug, you can report it on the bug tracker.


My packages | My PGP Key: 0x0901C163

Offline

Board footer

Powered by FluxBB